## hkl-type-builtins

hkl-type-builtins

## Types and Values

#define | HKL_TYPE_UNIT_ENUM
#define | HKL_TYPE_DETECTOR_TYPE
#define | HKL_TYPE_ENGINE_CAPABILITIES
#define | HKL_TYPE_ENGINE_AXIS_NAMES_GET
#define | HKL_TYPE_ENGINE_DEPENDENCIES

## Description

## Functions

## Types and Values

### HKL_TYPE_UNIT_ENUM

    #define HKL_TYPE_UNIT_ENUM (hkl_unit_enum_get_type ())

### HKL_TYPE_DETECTOR_TYPE

    #define HKL_TYPE_DETECTOR_TYPE (hkl_detector_type_get_type ())

### HKL_TYPE_ENGINE_CAPABILITIES

    #define HKL_TYPE_ENGINE_CAPABILITIES (hkl_engine_capabilities_get_type ())

### HKL_TYPE_ENGINE_AXIS_NAMES_GET

    #define HKL_TYPE_ENGINE_AXIS_NAMES_GET (hkl_engine_axis_names_get_get_type ())

### HKL_TYPE_ENGINE_DEPENDENCIES

    #define HKL_TYPE_ENGINE_DEPENDENCIES (hkl_engine_dependencies_get_type ())